import { ITarFileInfo } from './types';
export declare class TarReader {
    #private;
    fileInfos: ITarFileInfo[];
    static load(file: ArrayBuffer | Uint8Array | Blob): Promise<TarReader>;
    constructor(buffer: ArrayBuffer, fileInfos: ITarFileInfo[]);
    getTextFile(filename: string): string;
    getFileBlob(filename: string, mimetype?: string): Blob;
}
export declare function loadTarFile(buffer: ArrayBuffer): ITarFileInfo[];
export declare function readFileBlob(buffer: ArrayBuffer, offset: number, size: number, mimetype: string): Blob;
export declare function readTextFile(buffer: ArrayBuffer, offset: number, size: number): string;
